/*
 * dialog.h - dialog header.
 *
 * $Id: dialog.h 23 2006-02-08 08:32:24Z brendan $
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * COPYRIGHT: Copyright (c) 2006 Brendan Gregg.
 *
 * 29-Jan-2006  Brendan Gregg   Created this
 */

#ifndef DIALOG_H
#define	DIALOG_H

#include <gtk/gtk.h>

/* prtvtoc error message text */
extern const gchar	*dialog_prtvtoc_msg;

/* dtrace abruptly stopped error message text */
extern const gchar	*dialog_stopped_msg;

/* an explination of slice 2 */
extern const gchar	*dialog_slice_2_msg;

/* about text */
extern const gchar	*dialog_about_msg;

/* display message dialog */
extern void	dialog_message(GtkWidget *, const gchar *, const gchar *);

/* display about dialog */
extern void	dialog_about(gpointer, guint, GtkWidget *);

#endif /* DIALOG_H */
